{ config, lib, pkgs, ... }:

let
  inherit (lib) mkIf;
  cfg = config.r6d.config-generator;
  computers = config.r6d.computers;
  profiles = config.r6d.profiles;
in

mkIf cfg.conception-assistee {

environment.systemPackages = with pkgs; [
    # CAO
    ## Modélisation 3D
    freecad   # modélisation de pièces en 3D
    povray    # Rendu tracé de rayon, utilisé dans freecad

    ## Électricité & Électronique
    fritzing  # schéma de câblages "jolis"
    kicad     # ensemble d'outils de conception électronique
    qucs      # simulateur de circuits électroniques
  ];
}
