{ config, pkgs, ... }:

{
  # Monitoring

  # Noeud de supervision munin = pas de stockage des données locales
  services.munin-node = {
    enable = true;
  };

  # Munin server -- generate /var/www/munin
  services.munin-cron = {
    enable = true;
    hosts = ''
      [${config.networking.hostName}]
        address localhost
    '';
    extraGlobalConfig = ''
      contact.email.command mail -s "Munin notification for ''${var:host}" root@${config.networking.hostName}
    '';
  };

  networking.firewall.allowedTCPPorts = [
    # TODO configurer les bon ports lors de l'ouverture du service
    8000
  ];

   ## Documentation
   # * https://nixos.org/wiki/Create_and_debug_nix_packages
   # * http://chriswarbo.net/essays/nixos/developing_on_nixos.html
}
